
/*********************************************************

PROJECT FILE: main.agc
  by Steve Vink, May 2015
  Use permitted for all purposes, commercial and personal

	This Project is simply to demonstrate the use of the screenshot module
	Do not include this file in your project
	Include only screenshot.agc

// Project: Screenshots
// Created: 2015-05-25


**********************************************************/

#include "screenshot.agc"
#include "parameters.agc"

// set window properties
SetWindowTitle( "Screenshots" )
SetWindowSize( 1400, 990, 0 )

// set display properties
SetVirtualResolution( 1400, 990 )
SetOrientationAllowed( 1, 1, 1, 1 )


//*********************************************************
// Initialise the program
//*********************************************************

	//Load the parameters
	LoadParms("parameters.dat", "main")
	
	
	// INITIALISE SCREENSHOT.AGC
	initScreenShot()
	// 0.5 Second delay
	ScreenShotSetDelay(ValFloat(getParm("delay", "main")))
	// Screenshot file name
	ScreenShotSetName(getParm("name", "main"))
	// Screenshot multiple shots
	ScreenShotSetCount(Val(getParm("count", "main")))
	//Screenshot interval between shots
	ScreenShotSetInterval(ValFloat(getParm("interval", "main")))
	//Screenshot interval between shots
	ScreenShotSetSound(LoadSound("click.wav"))
	
	//Create a scene to take shots of
	SetPhysicsScale(0.2)
	img = loadImage("ball.png")
	dim arrBall[20] as integer
	for n = 1 to 20
		null = CreateSprite(img)
		SetSpritePosition(null, random(65, getVirtualWidth() - 65), random(65, getVirtualHeight() - 65))
		SetSpriteColor(null,128 + random(1,128), 128 + random(1,128), 128 + random(1,128),240)
		SetSpriteShapeCircle(null,0,0,GetSpriteWidth(null) / 2)
		SetSpritePhysicsMass(null, GetSpritePhysicsMass(null) * 10)
		SetSpritePhysicsOn(null,2)
		arrBall[n] = null
	next n
	SetPhysicsGravity(0,10)
	
	
	// Main program loop
	time# = timer() + 0.1
	do

		//***************************************
		// CHECK HERE FOR SCREENSHOT!!!
		
		if gScreenShot.state <> cSTATE_SCREENSHOT_IDLE or GetRawKeyReleased(32) = 1
			ScreenShotProcess()
		endif
		
		//***************************************
		

		//***************************************
		//Add some physics movement
		if timer() > time#
			for n = 1 to 3
				ball = random(1,20)
				SetSpritePhysicsImpulse(arrBall[ball],GetSpriteXByOffset(arrBall[ball]),GetSpriteYByOffset(arrBall[ball]),GetSpriteXByOffset(arrBall[ball]) -200000 + (random(1,400) * 1000),GetSpriteYByOffset(arrBall[ball]) -200000 + (random(1,400) *1000))
			next n
			time# = timer() + 0.1
		endif
		//***************************************
		
		sync()
	loop
